<?php
    /**
     * functions/extra_functions/custom_sessions
     * 
     * Add/Check for configuration value of front end user timeout
     * 
     * @package ZenCart
     * @author Joe McFrederick
     * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
     */
     
     
      
     
     //Auto install check
     $sessionCheck = $db->Execute("SELECT configuration_key FROM ".TABLE_CONFIGURATION." WHERE configuration_key='SESSION_TIMEOUT_USER'");
     if($sessionCheck->RecordCount() < 1)
     {
        install();
     }
     
    
     /**
      * Install configuration into database
      * @param none
      */
      function install() {
        global $db;
        
        $db->Execute("INSERT INTO ".TABLE_CONFIGURATION." VALUES ('','Customer Session Time Out in Seconds','SESSION_TIMEOUT_USER','3600','Enter the time in seconds. Default=3600<br />Example: 3600= 1 hour<br /><br />Note: Too few seconds can result in timeout issues when checking out','1','39',NULL,now(),NULL,NULL)");
      }
      
      /**
       * Uninstall configuration into database
       * @param none
       */
       function remove() {
        global $db;
        
        $keys = keys();
        $db->Execute("DELETE FROM ".TABLE_CONFIGURATION." WHERE configuration_key IN ('" . implode("', '", $keys) . "')");
       }
     
     /**
      * Return configuration keys for mod
      * @param none
      * @return mixed array of configuration keys
      */
     function keys()
     {
        return array('SESSION_TIMEOUT_USER');
     }
     
     /**
      * Manual install/uninstall
      */
      if($_GET['install_session']=="yes") install();
      if($_GET['remove_session']=="yes") remove();
?>